? -dup
? cvschk
? kdebase.diff
? up
? konqueror/keditbookmarks/core.cpp.mine
Index: configure.in.in
===================================================================
RCS file: /home/kde/kdebase/configure.in.in,v
retrieving revision 1.52
diff -d -u -p -r1.52 configure.in.in
--- configure.in.in	18 Dec 2002 09:19:21 -0000	1.52
+++ configure.in.in	5 Mar 2003 05:52:41 -0000
@@ -19,7 +19,7 @@ AC_CHECK_HEADERS(sys/time.h crypt.h \
 	sys/m_wait.h ncurses.h paths.h login_cap.h syslog.h \
 	sys/wait.h sys/ucred.h sys/mount.h floatingpoint.h fstab.h mntent.h \
 	Alib.h libutil.h util.h time.h limits.h vfork.h string.h float.h \
-	math.h nan.h ieeefp.h
+	math.h nan.h ieeefp.h libintl.h
 )
 AC_CHECK_HEADER(pty.h)
 AC_CHECK_FUNC(ptsname,,)
Index: admin/acinclude.m4.in
===================================================================
RCS file: /home/kde/kde-common/admin/acinclude.m4.in,v
retrieving revision 2.344
diff -d -u -p -r2.344 acinclude.m4.in
--- admin/acinclude.m4.in	1 Mar 2003 16:29:48 -0000	2.344
+++ admin/acinclude.m4.in	5 Mar 2003 05:52:48 -0000
@@ -817,7 +817,14 @@ AC_ARG_ENABLE(
   kde_use_qt_emb_palm=no
 )
 
-if test "$kde_use_qt_emb" = "no"; then
+AC_ARG_ENABLE(
+  mac,
+  [  --enable-mac       link to Qt/Mac (don't use X)],
+  kde_use_qt_mac=$enableval,
+  kde_use_qt_mac=no
+)
+
+if test "$kde_use_qt_emb" = "no" && test "$kde_use_qt_mac" = "no"; then
 
 AC_MSG_CHECKING(for X)
 AC_LANG_SAVE
@@ -976,7 +983,7 @@ fi
 LIB_XEXT="-lXext"
 QTE_NORTTI=""
 
-else
+elif test "$kde_use_qt_emb" = "yes"; then
   dnl We're using QT Embedded
   CPPFLAGS=-DQWS
   CXXFLAGS="$CXXFLAGS -fno-rtti"
@@ -996,6 +1003,26 @@ else
   AC_SUBST(X_LDFLAGS)
   AC_SUBST(x_includes)
   AC_SUBST(x_libraries)
+elif test "$kde_use_qt_mac" = "yes"; then
+  dnl We're using QT/Mac (I use QT_MAC so that qglobal.h doesn't *have* to
+  dnl be included to get the information) --Sam
+  CXXFLAGS="$CXXFLAGS -DQT_MAC -no-cpp-precomp"
+  CFLAGS="$CFLAGS -DQT_MAC -no-cpp-precomp"
+  X_PRE_LIBS=""
+  LIB_X11=""
+  LIB_XEXT=""
+  LIBSM=""
+  X_INCLUDES=""
+  X_LDFLAGS=""
+  x_includes=""
+  x_libraries=""
+  AC_SUBST(X_PRE_LIBS)
+  AC_SUBST(LIB_X11)
+  AC_SUBST(LIBSM)
+  AC_SUBST(X_INCLUDES)
+  AC_SUBST(X_LDFLAGS)
+  AC_SUBST(x_includes)
+  AC_SUBST(x_libraries)
 fi
 AC_SUBST(QTE_NORTTI)
 AC_SUBST(LIB_XEXT)
@@ -1157,7 +1184,7 @@ ac_libs_safe="$LIBS"
 
 CXXFLAGS="$CXXFLAGS -I$qt_includes"
 LDFLAGS="$LDFLAGS $X_LDFLAGS"
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBS="$LIBQT -lXext -lX11 $LIBSOCKET"
 else
 LIBS="$LIBQT $LIBSOCKET"
@@ -1324,7 +1351,7 @@ fi
 
 AC_MSG_CHECKING([for Qt])
 
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBQT="$LIBQT $X_PRE_LIBS -lXext -lX11 $LIBSM $LIBSOCKET"
 fi
 ac_qt_includes=NO ac_qt_libraries=NO ac_qt_bindir=NO
@@ -1388,6 +1415,12 @@ else
     if test -n "`$try 2> /dev/null`"; then qt_libdir=$dir; break; else echo "tried $dir" >&AC_FD_CC ; fi
   done
 fi
+for a in $qt_libdir/lib`echo ${kde_int_qt} | sed 's,^-l,,'`_incremental.*; do
+  if test -e "$a"; then
+    LIBQT="$LIBQT ${kde_int_qt}_incremental"
+    break
+  fi
+done
 
 ac_qt_libraries="$qt_libdir"
 
@@ -1485,12 +1518,18 @@ AC_PATH_QT_MOC_UIC
 
 KDE_CHECK_QT_JPEG
 
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIB_QT="$kde_int_qt $LIBJPEG_QT "'$(LIBPNG) -lXext $(LIB_X11) $(LIBSM)'
 else
 LIB_QT="$kde_int_qt $LIBJPEG_QT "'$(LIBPNG)'
 fi
 test -z "$KDE_MT_LIBS" || LIB_QT="$LIB_QT $KDE_MT_LIBS"
+for a in $qt_libdir/lib`echo ${kde_int_qt} | sed 's,^-l,,'`_incremental.*; do
+  if test -e "$a"; then
+     LIB_QT="$LIB_QT ${kde_int_qt}_incremental"
+     break
+  fi
+done
 
 AC_SUBST(LIB_QT)
 AC_SUBST(LIB_QPE)
@@ -2265,7 +2304,7 @@ AC_DEFUN(AC_FIND_GIF,
    [AC_MSG_CHECKING([for giflib])
 AC_CACHE_VAL(ac_cv_lib_gif,
 [ac_save_LIBS="$LIBS"
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBS="$all_libraries -lgif -lX11 $LIBSOCKET"
 else
 LIBS="$all_libraries -lgif"
@@ -2469,7 +2508,7 @@ AC_CACHE_VAL(kde_cv_libtiff_$1,
 AC_LANG_SAVE
 AC_LANG_CPLUSPLUS
 kde_save_LIBS="$LIBS"
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBS="$all_libraries $USER_LDFLAGS -l$1 $LIBJPEG $LIBZ -lX11 $LIBSOCKET -lm"
 else
 LIBS="$all_libraries $USER_LDFLAGS -l$1 $LIBJPEG $LIBZ -lm"
@@ -2528,7 +2567,7 @@ AC_MSG_CHECKING([for libpng])
 AC_CACHE_VAL(ac_cv_lib_png,
 [
 kde_save_LIBS="$LIBS"
-if test "x$kde_use_qt_emb" != "xyes"; then
+if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
 LIBS="$LIBS $all_libraries $USER_LDFLAGS -lpng $LIBZ -lm -lX11 $LIBSOCKET"
 else
 LIBS="$LIBS $all_libraries $USER_LDFLAGS -lpng $LIBZ -lm"
@@ -3302,7 +3341,7 @@ AC_DEFUN(AC_HAVE_XPM,
     AC_LANG_C
     ac_save_ldflags="$LDFLAGS"
     ac_save_cflags="$CFLAGS"
-    if test "x$kde_use_qt_emb" != "xyes"; then
+    if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
       LDFLAGS="$LDFLAGS $X_LDFLAGS $USER_LDFLAGS $LDFLAGS $XPM_LDFLAGS $all_libraries -lXpm -lX11 -lXext $LIBZ $LIBSOCKET"
     else
       LDFLAGS="$LDFLAGS $X_LDFLAGS $USER_LDFLAGS $LDFLAGS $XPM_LDFLAGS $all_libraries -lXpm $LIBZ $LIBSOCKET"
@@ -3358,7 +3397,7 @@ AC_DEFUN(AC_HAVE_DPMS,
    dnl 'yes' means DPMS_LIB="", '-lXdpms' means DPMS_LIB="-lXdpms".
    AC_CACHE_VAL(ac_cv_have_dpms,
    [
-    if test "x$kde_use_qt_emb" = "xyes"; then
+    if test "x$kde_use_qt_emb" != "xyes" && test "x$kde_use_qt_mac" != "xyes"; then
       AC_MSG_RESULT(no)
       ac_cv_have_dpms="no"
     else
@@ -3451,7 +3490,7 @@ AC_DEFUN(AC_HAVE_GL,
     ac_save_ldflags="$LDFLAGS"
     ac_save_cxxflags="$CXXFLAGS"
     LDFLAGS="$LDFLAGS $GL_LDFLAGS $X_LDFLAGS $all_libraries -lMesaGL -lMesaGLU"
-    test "x$kde_use_qt_emb" != xyes && LDFLAGS="$LDFLAGS -lX11"
+    test "x$kde_use_qt_mac" != xyes && test "x$kde_use_qt_emb" != xyes && LDFLAGS="$LDFLAGS -lX11"
     LDFLAGS="$LDFLAGS $LIB_XEXT -lm $LIBSOCKET"
     CXXFLAGS="$CFLAGS $X_INCLUDES"
     test -n "$GL_INCLUDE" && CFLAGS="-I$GL_INCLUDE $CFLAGS"
@@ -3461,7 +3500,7 @@ AC_DEFUN(AC_HAVE_GL,
 	ac_cv_have_gl="mesa", ac_cv_have_gl="no")
     if test "x$ac_cv_have_gl" = "xno"; then
       LDFLAGS="$ac_save_ldflags $X_LDFLAGS $GL_LDFLAGS $all_libraries -lGLU -lGL"
-      test "x$kde_use_qt_emb" != xyes && LDFLAGS="$LDFLAGS -lX11"
+      test "x$kde_use_qt_mac" != xyes && test "x$kde_use_qt_emb" != xyes && LDFLAGS="$LDFLAGS -lX11"
       LDFLAGS="$LDFLAGS $LIB_XEXT -lm $LIBSOCKET"
       CXXFLAGS="$ac_save_cflags $X_INCLUDES"
       test -n "$GL_INCLUDE" && CFLAGS="-I$GL_INCLUDE $CFLAGS"
Index: admin/libtool.m4.in
===================================================================
RCS file: /home/kde/kde-common/admin/libtool.m4.in,v
retrieving revision 1.76
diff -d -u -p -r1.76 libtool.m4.in
--- admin/libtool.m4.in	11 Feb 2003 08:22:01 -0000	1.76
+++ admin/libtool.m4.in	5 Mar 2003 05:52:56 -0000
@@ -609,6 +609,12 @@ AC_CACHE_VAL([lt_cv_sys_max_cmd_len], [d
     lt_cv_sys_max_cmd_len=-1;
     ;;
 
+  darwin*)
+    # this should be enough... the length test freaks out some versions
+    # of OSX's `expr`
+    lt_cv_sys_max_cmd_len=16384;
+    ;;
+
   *)
     # If test is not a shell built-in, we'll probably end up computing a
     # maximum length that is only half of the actual maximum length, but
@@ -1138,10 +1144,17 @@ darwin* | rhapsody*)
   # FIXME: Relying on posixy $() will cause problems for
   #        cross-compilation, but unfortunately the echo tests do not
   #        yet detect zsh echo's removal of \ escapes.
-  library_names_spec='${libname}${release}${versuffix}.$(test .$module = .yes && echo so || echo dylib) ${libname}${release}${major}.$(test .$module = .yes && echo so || echo dylib) ${libname}.$(test .$module = .yes && echo so || echo dylib)'
+  library_names_spec='${libname}${release}${versuffix}$(test .$module = .yes && echo .so).dylib $(test .$module != .yes && echo ${libname}${release}${major}.dylib ${libname}.dylib)'
   soname_spec='${libname}${release}${major}.$(test .$module = .yes && echo so || echo dylib)'
   shlibpath_overrides_runpath=yes
   shlibpath_var=DYLD_LIBRARY_PATH
+  postinstall_cmds='dlpath=`bash 2>&1 -c '\''. $dir/${file}i;echo \$dlname'\''`~
+    dldir=$destdir/`dirname \$dlpath`~
+    test -d \$dldir || mkdir -p \$dldir~
+    echo \$dlname | grep .so$ && $install_prog .libs/$dlname \$dldir/$dlname || true'
+  postuninstall_cmds='dldll=`bash 2>&1 -c '\''. $file; echo \$dlname'\''`~
+    dlpath=$dir/\$dldll~
+     echo \$dlname | grep .so$ && $rm \$dlpath || true'
   ;;
 
 dgux*)
@@ -1909,7 +1922,8 @@ darwin* | rhapsody*)
     lt_cv_file_magic_test_file=`/System/Library/Frameworks/System.framework/System`
     ;;
   *) # Darwin 1.3 on
-    lt_cv_file_magic_test_file='/usr/lib/libSystem.dylib'
+    lt_cv_deplibs_check_method='pass_all'
+       lt_cv_file_magic_cmd=''
     ;;
   esac
   ;;
@@ -2561,6 +2575,27 @@ case $host_os in
 	;;
     esac
     ;;
+  darwin*)
+    shared_flag='-dynamiclib'
+    CCT=""
+    for ENTRY in `what /usr/bin/ld`; do 
+      case $ENTRY in
+        PROJECT:*)
+          CCT=`expr "$ENTRY" : 'PROJECT:cctools-\([[:digit:]]*\)'`
+          ;;
+      esac
+    done
+
+    test -n "$CCT" || CCT=0
+    if true || test "$CCT" -ge 446; then
+      export MACOSX_DEPLOYMENT_TARGET=10.2
+      _LT_AC_TAGVAR(archive_cmds, $1)='$(test .$module = .yes && echo $CC -dynamiclib -single_module -undefined suppress -flat_namespace -o ${lib} $libobjs || echo true) && $CC $(test .$module = .yes && echo -bundle || echo -dynamiclib -single_module) $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $(test .$module = .yes && echo .libs/$soname || echo $lib ) $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+    else
+      # this may cause problems with some libraries!
+      _LT_AC_TAGVAR(archive_cmds, $1)='$(test .$module = .yes && echo $CC -dynamiclib -undefined suppress -flat_namespace -o ${lib} $libobjs || echo true) && $CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $(test .$module = .yes && echo .libs/$soname || echo $lib ) $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+    fi
+    output_verbose_link_cmd='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $CFLAGS -v conftest.$objext 2>&1 | egrep "\-L"'
+    ;;
   dgux*)
     case $cc_basename in
       ec++)
@@ -4751,7 +4786,9 @@ EOF
 	_LT_AC_TAGVAR(allow_undefined_flag, $1)='-undefined suppress'
 	;;
       *) # Darwin 1.3 on
-	_LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+	#_LT_AC_TAGVAR(allow_undefined_flag, $1)='-flat_namespace -undefined suppress'
+        # testing with twolevel namespaces
+	_LT_AC_TAGVAR(allow_undefined_flag, $1)='-multiply_defined suppress'
 	;;
       esac
 
@@ -4759,7 +4796,16 @@ EOF
       #        cross-compilation, but unfortunately the echo tests do not
       #        yet detect zsh echo's removal of \ escapes.  Also zsh mangles
       #	       `"' quotes if we put them in here... so don't!
-      _LT_AC_TAGVAR(archive_cmds, $1)='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linker_flags -install_name $rpath/$soname $verstring'
+      BUILD=`gcc -v 2>&1 | grep 'GCC version'`
+      BUILD=`expr "$BUILD" : '.*GCC version \(.*\), based.*'`
+      test -n "$BUILD" || BUILD=0
+      if test "$BUILD" -ge 1173; then
+        export MACOSX_DEPLOYMENT_TARGET=10.2
+        _LT_AC_TAGVAR(archive_cmds, $1)='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib -single_module) $allow_undefined_flag -o $lib $libobjs $deplibs $linker_flags $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+      else
+        # this may cause problems with some libraries!
+        _LT_AC_TAGVAR(archive_cmds, $1)='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs $linker_flags $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+      fi
       # We need to add '_' to the symbols in $export_symbols first
       #_LT_AC_TAGVAR(archive_expsym_cmds, $1)="$_LT_AC_TAGVAR(archive_cmds, $1)"' && strip -s $export_symbols'
       _LT_AC_TAGVAR(hardcode_direct, $1)=yes
Index: kate/app/Makefile.am
===================================================================
RCS file: /home/kde/kdebase/kate/app/Makefile.am,v
retrieving revision 1.37
diff -d -u -p -r1.37 Makefile.am
--- kate/app/Makefile.am	2 Mar 2003 16:47:07 -0000	1.37
+++ kate/app/Makefile.am	5 Mar 2003 05:53:08 -0000
@@ -9,7 +9,7 @@ libkateinterfaces_la_SOURCES = kateapp.c
         kbookmarkhandler.cpp kactionselector.cpp katedockcontainer.cpp kateprojectlist.cpp \
         kateprojecttreeview.cpp kateprojectviews.cpp kateprojectdirview.cpp
 
-libkateinterfaces_la_LIBADD   = ../interfaces/libkateinterfacesprivate.la -lkscript ../lib/libkmultitabbar.la ../utils/libkateutils.la
+libkateinterfaces_la_LIBADD   = ../interfaces/libkateinterfacesprivate.la -lkscript ../lib/libkmultitabbar.la ../utils/libkateutils.la $(LIB_KPARTS)
 libkateinterfaces_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined
 
 kate_la_SOURCES = katemain.cpp
@@ -17,7 +17,7 @@ kate_la_LIBADD = libkateinterfaces.la
 kate_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version 
 
 kwrite_la_SOURCES = kwritemain.cpp kwritedialogs.cpp
-kwrite_la_LIBADD   = -lktexteditor  ../utils/libkateutils.la
+kwrite_la_LIBADD   = -lktexteditor  ../utils/libkateutils.la $(LIB_KPARTS)
 kwrite_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module -avoid-version
 
 kate_SOURCES = dummy_kate.cpp
Index: kate/app/kateapp.cpp
===================================================================
RCS file: /home/kde/kdebase/kate/app/kateapp.cpp,v
retrieving revision 1.56
diff -d -u -p -r1.56 kateapp.cpp
--- kate/app/kateapp.cpp	25 Jan 2003 14:26:05 -0000	1.56
+++ kate/app/kateapp.cpp	5 Mar 2003 05:53:09 -0000
@@ -213,7 +213,9 @@ KateMainWindow *KateApp::newMainWindow (
 
   mainWindow->show ();
   mainWindow->raise();
+#ifdef Q_WS_X11
   KWin::setActiveWindow (mainWindow->winId());
+#endif
   
   return mainWindow;
 }
@@ -233,7 +235,9 @@ void KateApp::openURL (const QString &na
   m_mainWindows.at(n)->kateViewManager()->openURL (KURL(name));
 
   m_mainWindows.at(n)->raise();
+#ifdef Q_WS_X11
   KWin::setActiveWindow (m_mainWindows.at(n)->winId());
+#endif
 }
 
 void KateApp::raiseCurrentMainWindow ()
@@ -244,7 +248,9 @@ void KateApp::raiseCurrentMainWindow ()
     n=0;
 
   m_mainWindows.at(n)->raise();
+#ifdef Q_WS_X11
   KWin::setActiveWindow (m_mainWindows.at(n)->winId());
+#endif
 }    
 
 Kate::MainWindow *KateApp::activeMainWindow ()
Index: kate/app/kateconfigdialog.cpp
===================================================================
RCS file: /home/kde/kdebase/kate/app/kateconfigdialog.cpp,v
retrieving revision 1.55
diff -d -u -p -r1.55 kateconfigdialog.cpp
--- kate/app/kateconfigdialog.cpp	9 Feb 2003 09:54:06 -0000	1.55
+++ kate/app/kateconfigdialog.cpp	5 Mar 2003 05:53:09 -0000
@@ -79,8 +79,10 @@ KateConfigDialog::KateConfigDialog (Kate
   pluginPages.setAutoDelete (false);
   editorPages.setAutoDelete (false);
 
+#ifdef Q_WS_X11
   KWin kwin;
   kwin.setIcons(winId(), kapp->icon(), kapp->miniIcon());
+#endif
 
   QStringList path;
 
Index: kate/app/kategrepdialog.cpp
===================================================================
RCS file: /home/kde/kdebase/kate/app/kategrepdialog.cpp,v
retrieving revision 1.18
diff -d -u -p -r1.18 kategrepdialog.cpp
--- kate/app/kategrepdialog.cpp	1 Mar 2003 02:48:56 -0000	1.18
+++ kate/app/kategrepdialog.cpp	5 Mar 2003 05:53:10 -0000
@@ -64,7 +64,9 @@ GrepDialog::GrepDialog(const QString &di
     : KDialog(parent, name, false), childproc(0)
 {
     setCaption(i18n("Find in Files"));
+#ifdef Q_WS_X11
     KWin::setType(winId(),NET::Tool);
+#endif
     config = KGlobal::config();
     config->setGroup("GrepDialog");
     lastSearchItems = config->readListEntry("LastSearchItems");
Index: kcontrol/background/bgadvanced.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/background/bgadvanced.cpp,v
retrieving revision 1.4
diff -d -u -p -r1.4 bgadvanced.cpp
--- kcontrol/background/bgadvanced.cpp	1 Feb 2003 08:21:12 -0000	1.4
+++ kcontrol/background/bgadvanced.cpp	5 Mar 2003 05:53:11 -0000
@@ -31,6 +31,7 @@
 #include <qslider.h>
 #include <qspinbox.h>
 #include <qwhatsthis.h>
+#include <qapplication.h>
 
 #include <kconfig.h>
 #include <kcolorbutton.h>
@@ -44,15 +45,21 @@
 #include "bgadvanced.h"
 #include "bgadvanced_ui.h"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 /**** BGAdvancedDialog ****/
 
 static QCString desktopConfigname()
 {
     int desktop=0;
+#ifdef Q_WS_X11
     if (qt_xdisplay())
         desktop = DefaultScreen(qt_xdisplay());
+#else
+    desktop = QApplication::desktop()->primaryScreen();
+#endif
     QCString name;
     if (desktop == 0)
         name = "kdesktoprc";
Index: kcontrol/background/bgdialog.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/background/bgdialog.cpp,v
retrieving revision 1.7
diff -d -u -p -r1.7 bgdialog.cpp
--- kcontrol/background/bgdialog.cpp	11 Feb 2003 16:23:36 -0000	1.7
+++ kcontrol/background/bgdialog.cpp	5 Mar 2003 05:53:12 -0000
@@ -58,8 +58,12 @@ BGDialog::BGDialog(QWidget* parent, KCon
    m_multidesktop = _multidesktop;
    m_previewUpdates = true;
 
+#ifdef Q_WS_X11
    m_Max = m_multidesktop ? KWin::numberOfDesktops() : 1;
    m_Desk = m_multidesktop ? KWin::currentDesktop() : 1;
+#else
+   m_Desk = m_Max = 1;
+#endif
    m_eDesk = m_pGlobals->commonBackground() ? 0 : m_Desk;
    m_copyAllDesktops = true;
 
Index: kcontrol/background/bgrender.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/background/bgrender.cpp,v
retrieving revision 1.2
diff -d -u -p -r1.2 bgrender.cpp
--- kcontrol/background/bgrender.cpp	5 Feb 2003 15:46:28 -0000	1.2
+++ kcontrol/background/bgrender.cpp	5 Mar 2003 05:53:13 -0000
@@ -27,7 +27,9 @@
 
 #include "bgrender.h"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 
 /**** KBackgroundRenderer ****/
@@ -168,9 +170,11 @@ int KBackgroundRenderer::doBackground(bo
     // some dithering may be needed even with bpb==15/16, so don't use tileWidth==1
     // for them
     // with tileWidth>2, repainting the desktop causes nasty effect (XFree86 4.1.0 )
+#ifdef Q_WS_X11
         if( XQueryBestTile( qt_xdisplay(), qt_xrootwin(), tile_val, tile_val,
             &tileWidth, &tileHeight ) != Success )
             tileWidth = tileHeight = tile_val; // some defaults
+#endif
     }
     switch (bgmode) {
 
@@ -385,7 +389,11 @@ wp_out:
     return retval;
 }
 
+#ifdef Q_WS_X11
 extern bool qt_use_xrender; // in Qt ( qapplication_x11.cpp )
+#else
+static bool qt_use_xrender = FALSE;
+#endif
 
 void KBackgroundRenderer::wallpaperBlend( const QRect& d, QImage& wp, int ww, int wh )
 {
Index: kcontrol/background/bgsettings.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/background/bgsettings.cpp,v
retrieving revision 1.3
diff -d -u -p -r1.3 bgsettings.cpp
--- kcontrol/background/bgsettings.cpp	1 Feb 2003 08:21:12 -0000	1.3
+++ kcontrol/background/bgsettings.cpp	5 Mar 2003 05:53:15 -0000
@@ -500,8 +500,12 @@ KBackgroundSettings::KBackgroundSettings
 
     if (!config) {
         int screen_number = 0;
+#ifdef Q_WS_X11
         if (qt_xdisplay())
             screen_number = DefaultScreen(qt_xdisplay());
+#else
+	screen_number = QApplication::desktop()->primaryScreen();
+#endif
         QCString configname;
         if (screen_number == 0)
             configname = "kdesktoprc";
@@ -1071,9 +1075,11 @@ void KGlobalBackgroundSettings::readSett
     m_TextBackgroundColor = m_pConfig->readColorEntry("ItemTextBackground");
 
     m_Names.clear();
+#ifdef Q_WS_X11
     NETRootInfo info( qt_xdisplay(), NET::DesktopNames | NET::NumberOfDesktops );
     for ( int i = 0 ; i < info.numberOfDesktops() ; ++i )
       m_Names.append( QString::fromUtf8(info.desktopName(i+1)) );
+#endif
 
     dirty = false;
 }
Index: kcontrol/background/main.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/background/main.cpp,v
retrieving revision 1.7
diff -d -u -p -r1.7 main.cpp
--- kcontrol/background/main.cpp	24 Jan 2003 21:12:57 -0000	1.7
+++ kcontrol/background/main.cpp	5 Mar 2003 05:53:15 -0000
@@ -28,8 +28,10 @@
 
 #include "main.h"
 
+#ifdef Q_WS_X11
 /* as late as possible, as it includes some X headers without protecting them */
 #include <X11/Xlib.h>
+#endif
 
 /**** DLL Interface ****/
 typedef KGenericFactory<KBackground, QWidget> KBackGndFactory;
@@ -45,8 +47,12 @@ KBackground::KBackground(QWidget *parent
     : KCModule(KBackGndFactory::instance(), parent, name)
 {
     int screen_number = 0;
+#ifdef Q_WS_X11
     if (qt_xdisplay())
 	screen_number = DefaultScreen(qt_xdisplay());
+#else
+    screen_number = QApplication::desktop()->primaryScreen();
+#endif
     QCString configname;
     if (screen_number == 0)
 	configname = "kdesktoprc";
@@ -84,8 +90,12 @@ void KBackground::save()
 	client->attach();
 
     int screen_number = 0;
+#ifdef Q_WS_X11
     if (qt_xdisplay())
 	screen_number = DefaultScreen(qt_xdisplay());
+#else
+    screen_number = QApplication::desktop()->primaryScreen();
+#endif
     QCString appname;
     if (screen_number == 0)
 	appname = "kdesktop";
Index: kcontrol/bell/bell.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/bell/bell.cpp,v
retrieving revision 1.44
diff -d -u -p -r1.44 bell.cpp
--- kcontrol/bell/bell.cpp	3 Sep 2002 10:10:08 -0000	1.44
+++ kcontrol/bell/bell.cpp	5 Mar 2003 05:53:16 -0000
@@ -36,7 +36,9 @@
 #include "bell.h"
 #include "bell.moc"
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 #include <kaboutdata.h>
 
 extern "C"
@@ -48,20 +50,24 @@ extern "C"
 
   void init_bell()
   {
+#ifdef Q_WS_X11
     XKeyboardState kbd;
     XKeyboardControl kbdc;
 
     XGetKeyboardControl(kapp->getDisplay(), &kbd);
+#endif
 
     KConfig config("kcmbellrc", true, false);
     config.setGroup("General");
 
+#ifdef Q_WS_X11
     kbdc.bell_percent = config.readNumEntry("Volume", kbd.bell_percent);
     kbdc.bell_pitch = config.readNumEntry("Pitch", kbd.bell_pitch);
     kbdc.bell_duration = config.readNumEntry("Duration", kbd.bell_duration);
     XChangeKeyboardControl(kapp->getDisplay(),
                            KBBellPercent | KBBellPitch | KBBellDuration,
                            &kbdc);
+#endif
   }
 }
 
@@ -135,12 +141,18 @@ KBellConfig::KBellConfig(QWidget *parent
 
 void KBellConfig::load()
 {
+#ifdef Q_WS_X11
   XKeyboardState kbd;
   XGetKeyboardControl(kapp->getDisplay(), &kbd);
 
   m_volume->setValue(kbd.bell_percent);
   m_pitch->setValue(kbd.bell_pitch);
   m_duration->setValue(kbd.bell_duration);
+#else
+  m_volume->setValue(0);
+  m_pitch->setValue(0);
+  m_duration->setValue(0);
+#endif
 
   KConfig cfg("kdeglobals", false, false);
   cfg.setGroup("General");
@@ -150,18 +162,22 @@ void KBellConfig::load()
 
 void KBellConfig::save()
 {
+#ifdef Q_WS_X11
   XKeyboardControl kbd;
+#endif
 
   int bellVolume = m_volume->value();
   int bellPitch = m_pitch->value();
   int bellDuration = m_duration->value();
 
+#ifdef Q_WS_X11
   kbd.bell_percent = bellVolume;
   kbd.bell_pitch = bellPitch;
   kbd.bell_duration = bellDuration;
   XChangeKeyboardControl(kapp->getDisplay(),
                          KBBellPercent | KBBellPitch | KBBellDuration,
                          &kbd);
+#endif
 
   KConfig config("kcmbellrc", false, false);
   config.setGroup("General");
@@ -195,6 +211,7 @@ void KBellConfig::ringBell()
   }
 
   // store the old state
+#ifdef Q_WS_X11
   XKeyboardState old_state;
   XGetKeyboardControl(kapp->getDisplay(), &old_state);
 
@@ -219,6 +236,9 @@ void KBellConfig::ringBell()
   XChangeKeyboardControl(kapp->getDisplay(),
                          KBBellPercent | KBBellPitch | KBBellDuration,
                          &kbd);
+#else
+  QApplication::beep();
+#endif
 }
 
 void KBellConfig::defaults()
Index: kcontrol/colors/colorscm.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/colors/colorscm.cpp,v
retrieving revision 1.72
diff -d -u -p -r1.72 colorscm.cpp
--- kcontrol/colors/colorscm.cpp	13 Feb 2003 18:37:55 -0000	1.72
+++ kcontrol/colors/colorscm.cpp	5 Mar 2003 05:53:17 -0000
@@ -45,8 +45,10 @@
 
 #include <kio/netaccess.h>
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
 #include <X11/Xatom.h>
+#endif
 
 #include "../krdb/krdb.h"
 
@@ -365,9 +367,11 @@ void KColorScheme::save()
         flags |= KRdbExportColors;
     else
     {
+#ifdef Q_WS_X11
         // Undo the property xrdb has placed on the root window (if any),
         // i.e. remove all entries, including ours
         XDeleteProperty( qt_xdisplay(), qt_xrootwin(), XA_RESOURCE_MANAGER );
+#endif
     }
     runRdb( flags );	// Save the palette to qtrc for KStyles
 
Index: kcontrol/energy/energy.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/energy/energy.cpp,v
retrieving revision 1.19
diff -d -u -p -r1.19 energy.cpp
--- kcontrol/energy/energy.cpp	25 Jan 2003 23:39:17 -0000	1.19
+++ kcontrol/energy/energy.cpp	5 Mar 2003 05:53:19 -0000
@@ -40,15 +40,15 @@
 #include <klocale.h>
 #include <kcmodule.h>
 
+#include "energy.h"
+
+#ifdef Q_WS_X11
 #include <X11/X.h>
 #include <X11/Xlib.h>
 #include <X11/Xatom.h>
 #include <X11/Xutil.h>
 #include <X11/Xos.h>
 
-#include "energy.h"
-
-
 #ifdef HAVE_DPMS
 #include <X11/Xmd.h>
 extern "C" {
@@ -67,6 +67,7 @@ extern "C" {
 }
 #endif
 #endif
+#endif
 
 
 static const int DFLT_STANDBY   = 0;
@@ -296,6 +297,7 @@ void KEnergy::showSettings()
 }
 
 
+#ifdef Q_WS_X11
 extern "C" {
   int dropError(Display *, XErrorEvent *);
   typedef int (*XErrFunc) (Display *, XErrorEvent *);
@@ -305,10 +307,12 @@ int dropError(Display *, XErrorEvent *)
 {
     return 0;
 }
+#endif
 
 /* static */
 void KEnergy::applySettings(bool enable, int standby, int suspend, int off)
 {
+#ifdef Q_WS_X11
 #ifdef HAVE_DPMS
     XErrFunc defaultHandler;
     defaultHandler = XSetErrorHandler(dropError);
@@ -332,6 +336,7 @@ void KEnergy::applySettings(bool enable,
     /* keep gcc silent */
     if (enable | standby | suspend | off)
     /* nothing */ ;
+#endif
 #endif
 }
 
Index: kcontrol/fonts/fonts.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/fonts/fonts.cpp,v
retrieving revision 1.72
diff -d -u -p -r1.72 fonts.cpp
--- kcontrol/fonts/fonts.cpp	29 Dec 2002 22:28:58 -0000	1.72
+++ kcontrol/fonts/fonts.cpp	5 Mar 2003 05:53:19 -0000
@@ -37,12 +37,14 @@
 #include <kdebug.h>
 #include <qpushbutton.h>
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
 
 // X11 headers
 #undef Bool
 #undef Unsorted
 #undef None
+#endif
 
 static const char *aa_rgb_xpm[]={
 "12 12 3 1",
@@ -237,8 +239,12 @@ void FontUseItem::updateLabel()
 static QCString desktopConfigName()
 {
   int desktop=0;
+#ifdef Q_WS_X11
   if (qt_xdisplay())
     desktop = DefaultScreen(qt_xdisplay());
+#else
+  desktop = QApplication::desktop()->primaryScreen();
+#endif
   QCString name;
   if (desktop == 0)
     name = "kdesktoprc";
Index: kcontrol/info/info.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/info/info.cpp,v
retrieving revision 1.59
diff -d -u -p -r1.59 info.cpp
--- kcontrol/info/info.cpp	8 Jan 2003 00:25:28 -0000	1.59
+++ kcontrol/info/info.cpp	5 Mar 2003 05:53:20 -0000
@@ -38,7 +38,9 @@
 #include <klocale.h>
 #include "info.h"		/* include the forward declares... */
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 /* All Functions GetInfo_xyz() can set GetInfo_ErrorString, when a special
    error-message should be shown to the user....
@@ -50,8 +52,6 @@ static QString *GetInfo_ErrorString;	/* 
 					    KInfoListWidget::ErrorString */
 static bool	sorting_allowed;	/* is sorting allowed by user ? */
 
-
-
 #if defined(__linux__)
 # define DEFAULT_ERRORSTRING QString("") /* i18n("Maybe the proc-filesystem is not enabled in Linux-Kernel.") */
 #elif defined(hpux)
@@ -60,10 +60,7 @@ static bool	sorting_allowed;	/* is sorti
 #define DEFAULT_ERRORSTRING  i18n("Maybe this system is not completely supported yet :-(")
 #endif
 
-
-
-
-
+#ifdef Q_WS_X11
 /* easier to read with such a define ! */
 #define I18N_MAX(txt,in,fm,maxw) \
     { int n = fm.width(txt=in); if (n>maxw) maxw=n; }
@@ -119,7 +116,6 @@ static struct _event_table {
     { "OwnerGrabButtonMask",	OwnerGrabButtonMask },
     { 0L, 0 }};
 
-
 static QListViewItem* XServer_fill_screen_info( QListViewItem *lBox, QListViewItem *last,
 	    Display *dpy, int scr, int default_scr)
 {
@@ -128,7 +124,9 @@ static QListViewItem* XServer_fill_scree
     int 	i,
 		ndepths,
 		*depths;
+#ifdef Q_WS_X11
     Screen 	*s = ScreenOfDisplay(dpy,scr);  /* opaque structure */
+#endif
     QListViewItem *item;
 
     /*
@@ -210,6 +208,7 @@ static QListViewItem* XServer_fill_scree
     last = new QListViewItem(item, last, i18n("Current Input Event Mask"),
 		HexStr((unsigned long)EventMaskOfScreen(s),HEXDIGITS));
     item = last;
+#ifdef Q_WS_X11
     struct _event_table *etp;
     for (etp=event_table; etp->name; etp++) {
 	if (EventMaskOfScreen(s) & etp->value)
@@ -217,6 +216,7 @@ static QListViewItem* XServer_fill_scree
 		i18n("Event = %1").arg(HexStr(etp->value,HEXDIGITS)),
 		etp->name );
     }
+#endif
 
     return item;
 }
@@ -242,6 +242,7 @@ static QString ByteString( unsigned long
     return i18n("%1 Bytes")  // plural form: "%1 Bytes"
 		.arg(KGlobal::locale()->formatNumber(n,0));
 }
+#endif
 
 static bool GetInfo_XServer_Generic( QListView *lBox )
 {
@@ -250,16 +251,16 @@ static bool GetInfo_XServer_Generic( QLi
     int i,n;
     long req_size;
 
-    Display *dpy;
+#ifdef Q_WS_X11
+    Display *dpy = XOpenDisplay(0);
+    if (!dpy)
+        return false;
     XPixmapFormatValues *pmf;
+#endif
 
     QString str,txt;
     QListViewItem *last, *item, *next;
 
-    dpy = XOpenDisplay(0);
-    if (!dpy)
-        return false;
-
     lBox->addColumn(i18n("Information") );
     lBox->addColumn(i18n("Value") );
     sorting_allowed = false;
@@ -270,6 +271,7 @@ static bool GetInfo_XServer_Generic( QLi
     next->setSelectable(false);
     next->setExpandable(false);
 
+#ifdef Q_WS_X11
     last = new QListViewItem(next, i18n("Name of the Display"),
 		DisplayString(dpy));
 
@@ -334,6 +336,9 @@ static bool GetInfo_XServer_Generic( QLi
 		Order(ImageByteOrder(dpy)));
 
     XCloseDisplay (dpy);
+#else
+    //Need to impelement on QWS & MAC
+#endif
     return true;
 }
 
Index: kcontrol/input/main.cpp
===================================================================
RCS file: /home/kde/kdebase/kcontrol/input/main.cpp,v
retrieving revision 1.22
diff -d -u -p -r1.22 main.cpp
--- kcontrol/input/main.cpp	28 Jun 2002 11:50:49 -0000	1.22
+++ kcontrol/input/main.cpp	5 Mar 2003 05:53:21 -0000
@@ -27,7 +27,9 @@
 #include <kconfig.h>
 
 
+#ifdef Q_WS_X11
 #include <X11/Xlib.h>
+#endif
 
 
 #include "mouse.h"
